
CREATE TABLE CONTENT_CONSTRAINT
(
       CONT_CONS_ID bigint NOT NULL,
       ACTUAL_DATA BOOL  NOT NULL DEFAULT 1 ,
       PERIODICITY varchar(50) NULL,
       `OFFSET` varchar(50) NULL,
       TOLERANCE varchar(50) NULL,
	   DP_ID bigint,
	   ATTACH_TYPE varchar(20) Not Null,
	   SET_ID varchar(255),
	   SIMPLE_DATA_SOURCE NVARCHAR(1024),
	   START_TIME datetime NULL,
	   END_TIME datetime NULL,
	   PRIMARY KEY(CONT_CONS_ID),
	   KEY(CONT_CONS_ID),
	   FOREIGN KEY (DP_ID) REFERENCES DATAPROVIDER(DP_ID)
) ENGINE=InnoDB DEFAULT CHARSET=utf8
;

ALTER TABLE CONTENT_CONSTRAINT ADD CONSTRAINT FK_CCA_DATAPROVIDER
	FOREIGN KEY (DP_ID) REFERENCES DATAPROVIDER(DP_ID)
;

